# 物资管理后台

> 本项目使用 [Ant Design Pro](https://pro.ant.design) 后台管理系统进行统一开发，所有组件/路由配置/项目配置都可以在官方文档进行查询<br />
> 第一期由外包团队进行开发，后续由公司自有团队进行后续开发和维护

## 项目 Git

#### [Gogs Git address](https://gogs.ywtinfo.com/guochengfeng/material-web.git)

#### 生产环境分支：publish

#### QA 环境分支：test

#### 开发环境分支：视需求版本而定

## jenkins deploy

分支代码更新后，需要在 jenkins 进行手动构建更新

qa 环境 <br />
[物资管理系统](https://jenkins.ywtinfo.com/view/qa/job/qa-fe-material-web/) <br />
　<br />

prod 环境 <br/>

[物资管理系统](https://jenkins.ywtinfo.com/view/product/job/product-fe-material-web/) <br />

## 项目 Command

node version: v16.20.2，yarn(包管理工具) install

安装依赖

```bash
npm install
```

or

```bash
yarn
```

### 启动项目

```bash
npm start
```

### 打包项目

```bash
npm run build
```

## 文件目录

```
    |-- config                      项目的配置文件
    |   |-- config.dev.ts           开发阶段的配置文件
    |   |-- config.ts               总配置文件
    |   |-- defaultSettings.ts      ant样式配置文件
    |   |-- oneapi.json             ant生成的配置文件
    |   |-- proxy.ts                网络代理配置文件
    |   |-- routes.ts                本地路由配置文件
    |-- public                       静态资源文件
    |   |-- icons                    图标文件
    |   |   |-- addBtn.png
    |   |   |-- down.png
    |   |   |-- uploadingImage.png
    |   |-- images                  图片文件
    |   |   |-- jiantou.png
    |   |   |-- upload_img_icon.png
        |-- pages                       业务代码模块
        |   |-- 403.tsx                 403页面
        |   |-- 404.tsx                 404页面
        |   |-- document.ejs
        |   |-- GoodsInvoice            物资请领单模块
        |   |   |-- data.d.ts
        |   |   |-- index.less
        |   |   |-- index.tsx           物资请领单模块主文件
        |   |   |-- service.ts          物资请领单相关网络请求
        |   |   |-- components
        |   |       |-- GoodsCancelDetail.tsx   退货详情弹窗
        |   |       |-- GoodsInfo.tsx           物资请领单列表
        |   |       |-- InputNumberAddon.tsx    输入框组件
        |   |       |-- OrderDetail.less
        |   |       |-- OrderDetail.tsx         物资请领单打印弹窗
        |   |       |-- SalesReturnModel.tsx    申请退货弹窗
        |   |-- InfoWarehouse                   仓库页面相关模块
        |   |   |-- data.d.ts
        |   |   |-- index.less
        |   |   |-- index.tsx                   仓库页面相关主文件
        |   |   |-- service.ts                  仓库页面相关网络请求
        |   |   |-- components
        |   |       |-- GoodsCard.tsx           商品模块组件
        |   |       |-- ShopPane.tsx            提交订单弹窗
        |   |-- OfficeTable                     本科室报表弹窗
        |   |   |-- data.d.ts
        |   |   |-- index.less
        |   |   |-- index.tsx
        |   |   |-- service.ts
        |   |-- user                            用户模块
        |   |   |-- Login                       登录界面
        |   |       |-- index.less
        |   |       |-- index.tsx
        |   |       |-- service.ts
        |   |-- WzHomePage                      首页
        |       |-- data.d.ts
        |       |-- index.less
        |       |-- index.tsx
        |       |-- service.ts
        |-- services                            公共网络请求
        |   |-- auth.ts
        |   |-- public.ts
        |   |-- ant-design-pro
        |   |   |-- api.ts
        |   |   |-- index.ts
        |   |   |-- login.ts
        |   |   |-- typings.d.ts
        |   |-- swagger
        |       |-- index.ts
        |       |-- pet.ts
        |       |-- store.ts
        |       |-- typings.d.ts
        |       |-- user.ts
        |-- utils                           工具函数
            |-- downloadExecl.tsx


```
